E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Protected Member Functions | List of all members
G::IdentityUser Class Reference

A convenience class which, when used as a private base, can improve readability when calling Identity 'set' methods. More...

`#include <gidentity.h>`

## Static Protected Member Functions
static void | setRealUserTo (Identity, bool do_throw=true)
| Sets the real userid.
static void | setEffectiveUserTo (Identity, bool do_throw=true)
| Sets the effective userid.
static void | setEffectiveUserTo (SignalSafe, Identity)
| Sets the effective userid.
static void | setRealGroupTo (Identity, bool do_throw=true)
| Sets the real group id.
static void | setEffectiveGroupTo (Identity, bool do_throw=true)
| Sets the effective group id.
static void | setEffectiveGroupTo (SignalSafe, Identity)
| Sets the effective group id.

## Detailed Description

A convenience class which, when used as a private base, can improve readability when calling Identity 'set' methods.

Definition at line 115 of file gidentity.h.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/glib/gidentity.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/glib/gidentity_unix.cpp